## applauncherd 3.0.3-maemo0

=== src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/src/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/invoker/CMakeLists.txt ===
set(COMMON "${CMAKE_HOME_DIRECTORY}/src/common")

# Set sources
set(SRC invokelib.c invoker.c ${COMMON}/report.c search.c)

# Set include dirs
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${COMMON})

# Set precompiler flags
add_definitions(-DPROG_NAME_INVOKER="invoker")

# Set target
add_executable(invoker ${SRC})

# Add install rule
install(PROGRAMS invoker DESTINATION /usr/bin/)

=== src/mbooster/CMakeLists.txt ===
# Qt support
include(${QT_USE_FILE})

set(LAUNCHER "${CMAKE_HOME_DIRECTORY}/src/launcherlib")
set(COMMON "${CMAKE_HOME_DIRECTORY}/src/common")

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${COMMON} ${LAUNCHER})

# Hide all symbols except the ones explicitly exported in the code (like main())
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

# Set sources
set(SRC mbooster.cpp pluginfactory.cpp ${LAUNCHER}/appdata.cpp ${LAUNCHER}/booster.cpp
${LAUNCHER}/connection.cpp ${LAUNCHER}/logger.cpp
${LAUNCHER}/singleinstance.cpp ${LAUNCHER}/socketmanager.cpp
${COMMON}/eventhandler.cpp)

set(MOC_HDRS ${COMMON}/eventhandler.h)
qt4_wrap_cpp(MOC_SRC ${MOC_HDRS})

# Set libraries to be linked.
link_libraries(${MEEGOTOUCH_LIBRARIES} ${LIBDL} ${QT_QTCORE_LIBRARY})

# Set executable
add_library(mbooster MODULE ${SRC} ${MOC_SRC})

# Add install rule
install(TARGETS mbooster DESTINATION /usr/lib/applauncherd/)

=== src/mbooster/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/src/mbooster/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/mbooster/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/mbooster/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/mbooster/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/mbooster/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/mbooster/CMakeFiles/mbooster.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/mbooster/CMakeFiles/mbooster.dir/rule
.PHONY : src/mbooster/CMakeFiles/mbooster.dir/rule

# Convenience name for target.
mbooster: src/mbooster/CMakeFiles/mbooster.dir/rule
.PHONY : mbooster

# fast build rule for target.
mbooster/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/build
.PHONY : mbooster/fast

__/common/eventhandler.o: __/common/eventhandler.cpp.o
.PHONY : __/common/eventhandler.o

# target to build an object file
__/common/eventhandler.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/common/eventhandler.cpp.o
.PHONY : __/common/eventhandler.cpp.o

__/common/eventhandler.i: __/common/eventhandler.cpp.i
.PHONY : __/common/eventhandler.i

# target to preprocess a source file
__/common/eventhandler.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/common/eventhandler.cpp.i
.PHONY : __/common/eventhandler.cpp.i

__/common/eventhandler.s: __/common/eventhandler.cpp.s
.PHONY : __/common/eventhandler.s

# target to generate assembly for a file
__/common/eventhandler.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/common/eventhandler.cpp.s
.PHONY : __/common/eventhandler.cpp.s

__/common/moc_eventhandler.o: __/common/moc_eventhandler.cxx.o
.PHONY : __/common/moc_eventhandler.o

# target to build an object file
__/common/moc_eventhandler.cxx.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/common/moc_eventhandler.cxx.o
.PHONY : __/common/moc_eventhandler.cxx.o

__/common/moc_eventhandler.i: __/common/moc_eventhandler.cxx.i
.PHONY : __/common/moc_eventhandler.i

# target to preprocess a source file
__/common/moc_eventhandler.cxx.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/common/moc_eventhandler.cxx.i
.PHONY : __/common/moc_eventhandler.cxx.i

__/common/moc_eventhandler.s: __/common/moc_eventhandler.cxx.s
.PHONY : __/common/moc_eventhandler.s

# target to generate assembly for a file
__/common/moc_eventhandler.cxx.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/common/moc_eventhandler.cxx.s
.PHONY : __/common/moc_eventhandler.cxx.s

__/launcherlib/appdata.o: __/launcherlib/appdata.cpp.o
.PHONY : __/launcherlib/appdata.o

# target to build an object file
__/launcherlib/appdata.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/appdata.cpp.o
.PHONY : __/launcherlib/appdata.cpp.o

__/launcherlib/appdata.i: __/launcherlib/appdata.cpp.i
.PHONY : __/launcherlib/appdata.i

# target to preprocess a source file
__/launcherlib/appdata.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/appdata.cpp.i
.PHONY : __/launcherlib/appdata.cpp.i

__/launcherlib/appdata.s: __/launcherlib/appdata.cpp.s
.PHONY : __/launcherlib/appdata.s

# target to generate assembly for a file
__/launcherlib/appdata.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/appdata.cpp.s
.PHONY : __/launcherlib/appdata.cpp.s

__/launcherlib/booster.o: __/launcherlib/booster.cpp.o
.PHONY : __/launcherlib/booster.o

# target to build an object file
__/launcherlib/booster.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/booster.cpp.o
.PHONY : __/launcherlib/booster.cpp.o

__/launcherlib/booster.i: __/launcherlib/booster.cpp.i
.PHONY : __/launcherlib/booster.i

# target to preprocess a source file
__/launcherlib/booster.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/booster.cpp.i
.PHONY : __/launcherlib/booster.cpp.i

__/launcherlib/booster.s: __/launcherlib/booster.cpp.s
.PHONY : __/launcherlib/booster.s

# target to generate assembly for a file
__/launcherlib/booster.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/booster.cpp.s
.PHONY : __/launcherlib/booster.cpp.s

__/launcherlib/connection.o: __/launcherlib/connection.cpp.o
.PHONY : __/launcherlib/connection.o

# target to build an object file
__/launcherlib/connection.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/connection.cpp.o
.PHONY : __/launcherlib/connection.cpp.o

__/launcherlib/connection.i: __/launcherlib/connection.cpp.i
.PHONY : __/launcherlib/connection.i

# target to preprocess a source file
__/launcherlib/connection.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/connection.cpp.i
.PHONY : __/launcherlib/connection.cpp.i

__/launcherlib/connection.s: __/launcherlib/connection.cpp.s
.PHONY : __/launcherlib/connection.s

# target to generate assembly for a file
__/launcherlib/connection.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/connection.cpp.s
.PHONY : __/launcherlib/connection.cpp.s

__/launcherlib/logger.o: __/launcherlib/logger.cpp.o
.PHONY : __/launcherlib/logger.o

# target to build an object file
__/launcherlib/logger.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/logger.cpp.o
.PHONY : __/launcherlib/logger.cpp.o

__/launcherlib/logger.i: __/launcherlib/logger.cpp.i
.PHONY : __/launcherlib/logger.i

# target to preprocess a source file
__/launcherlib/logger.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/__/launcherlib/logger.cpp.i
.PHONY : __/launcherlib/logger.cpp.i

=== src/qtbooster/CMakeLists.txt ===
# Qt support
include(${QT_USE_FILE})

set(LAUNCHER "${CMAKE_HOME_DIRECTORY}/src/launcherlib")

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_HOME_DIRECTORY}/src/common ${LAUNCHER})

# Hide all symbols except the ones explicitly exported in the code (like main())
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

# Set sources
set(SRC qtbooster.cpp pluginfactory.cpp ${LAUNCHER}/appdata.cpp ${LAUNCHER}/booster.cpp
${LAUNCHER}/connection.cpp ${LAUNCHER}/logger.cpp
${LAUNCHER}/singleinstance.cpp ${LAUNCHER}/socketmanager.cpp)

# Set libraries to be linked.
link_libraries(${MEEGOTOUCH_LIBRARIES} ${LIBDL} ${QT_QTCORE_LIBRARY})

# Set executable
add_library(qtbooster MODULE ${SRC})

# Add install rule
install(TARGETS qtbooster DESTINATION /usr/lib/applauncherd/)

=== src/single-instance/CMakeLists.txt ===
set(COMMON "${CMAKE_HOME_DIRECTORY}/src/common")

# Set sources
set(SRC main.cpp  ${COMMON}/report.c)

# Find X11
pkg_check_modules(X11 x11 REQUIRED)

# Set include dirs
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${X11_INCLUDE_DIRS} ${COMMON})

# Hide all symbols except the ones explicitly exported in the code (like main())
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fPIC")

# Link as position independent executable
set(CMAKE_EXE_LINKER_FLAGS "-pie -rdynamic")

# Set C flags because of report.c
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden -fPIC")

# Set link libraries
link_libraries(${X11_LDFLAGS})

# Set target
add_executable(single-instance ${SRC})

# Add install rule
install(PROGRAMS single-instance DESTINATION /usr/bin/)

=== tests/common/unittests/CMakeLists.txt ===
add_subdirectory(ut_booster)
add_subdirectory(ut_boosterfactory)
add_subdirectory(ut_connection)
add_subdirectory(ut_daemon)
add_subdirectory(ut_dbooster)
add_subdirectory(ut_ebooster)
add_subdirectory(ut_mbooster)
add_subdirectory(ut_qtbooster)
add_subdirectory(ut_socketmanager)
add_subdirectory(ut_singleinstance)
add_subdirectory(ut_boosterpluginregistry)
add_subdirectory(ut_appdata)
add_subdirectory(ut_logger)

install(FILES tests.xml DESTINATION /usr/share/applauncherd-tests)

=== tests/harmattan/invoker-tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/harmattan/invoker-tests/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/harmattan/invoker-tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/harmattan/invoker-tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/harmattan/invoker-tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/harmattan/invoker-tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tests/meego/functests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/meego/functests/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/functests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/functests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/functests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/functests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tests/meego/perftests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/meego/perftests/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/perftests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/perftests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/perftests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/perftests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tests/meego/testscripts/CMakeLists.txt ===
install(FILES
  test-perf-mbooster.py
  check_pipes.py
  test-func-launcher.py
  utils.py
  DESTINATION /usr/share/applauncherd-M-testscripts)

install(PROGRAMS
  ts_prestartapp.rb
  tc_theming.rb
  test-perf.rb
  fala_wid
  fala_xres_wl
  fala_xres_wol
  DESTINATION /usr/share/applauncherd-M-testscripts)

add_subdirectory (signal-forward)

=== tests/common/testapps/fala_qml_helloworld/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/common/testapps/fala_qml_helloworld/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_qml_helloworld/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_qml_helloworld/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_qml_helloworld/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_qml_helloworld/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/rule
.PHONY : tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/rule

# Convenience name for target.
fala_qml: tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/rule
.PHONY : fala_qml

# fast build rule for target.
fala_qml/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/build.make tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/build
.PHONY : fala_qml/fast

main.o: main.cpp.o
.PHONY : main.o

# target to build an object file
main.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/build.make tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/main.cpp.o
.PHONY : main.cpp.o

main.i: main.cpp.i
.PHONY : main.i

# target to preprocess a source file
main.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/build.make tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/main.cpp.i
.PHONY : main.cpp.i

main.s: main.cpp.s
.PHONY : main.s

# target to generate assembly for a file
main.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/build.make tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/main.cpp.s
.PHONY : main.cpp.s

qrc_main.o: qrc_main.cxx.o
.PHONY : qrc_main.o

# target to build an object file
qrc_main.cxx.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/build.make tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/qrc_main.cxx.o
.PHONY : qrc_main.cxx.o

qrc_main.i: qrc_main.cxx.i
.PHONY : qrc_main.i

# target to preprocess a source file
qrc_main.cxx.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/build.make tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/qrc_main.cxx.i
.PHONY : qrc_main.cxx.i

qrc_main.s: qrc_main.cxx.s
.PHONY : qrc_main.s

# target to generate assembly for a file
qrc_main.cxx.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/build.make tests/common/testapps/fala_qml_helloworld/CMakeFiles/fala_qml.dir/qrc_main.cxx.s
.PHONY : qrc_main.cxx.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... fala_qml"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
	@echo "... qrc_main.o"
	@echo "... qrc_main.i"
	@echo "... qrc_main.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
applauncherd (3.0.3-maemo0) stable; urgency=low
  * commented out non-standard Qt calls (0002-Remove-calls-to-non-standard-Qt-API.patch), the same with src/qdeclarativebooster/mdeclarativecache.cpp:187
  * commented out Nokia libaries absent in Fremantle
  * changed ARG_MAX to ARG_MAX1 in launcherlib/connection.cpp:358,359
  * fixed CMakeLists.txt - Fremantle cmake has problems with OPTIONAL keyword
  * replaced python2.6 with python2.5
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Tue, 17 Jul 2012 14:02:44 +0200

applauncherd (3.0.3) stable; urgency=low

  * Fixes: NB#300401 - Revert all changes back to 14-1 state

 -- Kari Karvonen <ext-kari.k.karvonen@nokia.com>  Tue, 08 May 2012 15:50:58 +0200

applauncherd (3.0.1) stable; urgency=low

  * Changes: Adds new test for applauncherd re-exec. Checking state of running application when it is updated.
  * Changes: Fix python broken pipe randomly happened for Popen
  * Changes: performance tests are run 5 times; 3 consistent values are considered
  * Changes: performance test optimization part1
  * Fixes: NB#291089 - Installation of clock application fails when applauncherd daemon stopped
  * Changes: Correct file path and dir path for applications started by booster-m
  * Changes: single-instance library writes log messages to syslog instead of stderr

 -- Alexey Shilov <alexey.shilov@nokia.com>  Mon, 14 Nov 2011 13:39:38 +0200

applauncherd (2.0.16) stable; urgency=low

  * Fixes: NB#296154 - proprietary headers in applauncherd replaced to LGPL

 -- Thyagarajan Balakrishnan <ext-thyagarajan.1.balakrishnan@nokia.com>  Tue, 03 Jan 2012 15:50:58 +0200

applauncherd (2.0.15) stable; urgency=low

  * Fixes: NB#295360 - Report extended exit code from applifed/applauncher

 -- Juha Lintula <juha.lintula@nokia.com>  Wed, 21 Dec 2011 12:26:50 +0200

applauncherd (2.0.14) stable; urgency=low

  * Fixes: NB#288982 - COREWEB: booster '__assert_fail append_pending_request _XReply'
  * Changes: updated some test cases in art-tests and test package dependencies
  * Changes: improve perf test to detect failure

 -- Thyagarajan Balakrishnan <ext-thyagarajan.1.balarishnan@nokia.com>  Wed, 23 Nov 2011 17:50:32 +0200

applauncherd (2.0.13) stable; urgency=low

  * Fixes: NB#291039 - Integrated version of applauncherd is missing some important test cases
  * Changes: testcases added/fixed for code coverage

 -- Thyagarajan Balakrishnan <ext-thyagarajan.1.balarishnan@nokia.com>  Tue, 22 Nov 2011 11:27:40 +0200

applauncherd (2.0.12) stable; urgency=low

  * Changes: new test case added for /usr/lib trigger
  * fixes for nightly build test failures

 -- Dmitry Rozenshtein <ext-dmitry.2.rozenshtein@nokia.com>  Wed, 11 Nov 2011 14:30:21 +0200

applauncherd (2.0.11) stable; urgency=low

  * Fixes: NB#287488 - Boosted QML application startup time is above requirements

 -- Dmitry Rozenshtein <ext-dmitry.2.rozenshtein@nokia.com>  Wed, 09 Nov 2011 14:55:21 +0200

applauncherd (2.0.10) stable; urgency=low

  * Fixes: NB#283676 - running processes are not granted new credentials until restarted
  * Changes: Adds new test for applauncherd re-exec. In test new package is installed with custom credential token.

 -- Marek Ruszczak <ext-marek.ruszczak@nokia.com>  Wed, 09 Nov 2011 09:23:18 +0200

applauncherd (2.0.9) stable; urgency=low

  * Changes: Updated testscript for performance measurement (workaround for MCompositor XGrabServer delay)
  * Fixes: NB#289792 - Upgrade from PR1.1 aborts around 66% due to applauncherd-launcher

 -- Thyagarajan Balakrishnan <ext-thyagarajan.1.balarishnan@nokia.com>  Mon, 07 Nov 2011 14:55:11 +0200

applauncherd (2.0.8) stable; urgency=low

  * Fixes: NB#288982 - COREWEB: booster '__assert_fail append_pending_request _XReply'

 -- Alexey Shilov <alexey.shilov@nokia.com>  Fri, 04 Nov 2011 17:06:18 +0200

applauncherd (2.0.7) stable; urgency=low

  * Fixes: NB#283676 - running processes are not granted new credentials until restarted

 -- Dmitry Rozenshtein <ext-dmitry.2.rozenshtein@nokia.com>  Wed, 02 Nov 2011 14:07:21 +0300

applauncherd (2.0.6) stable; urgency=low

  * Changes: test fixed test_launched_app_wm_class_m
  * Changes: updated invalid test cases in func-tests and removed 1 invalid test case in daemon-tests
  * Changes: QML test application updated to store QML in resource file
  * Fixes: NB#287488 - Boosted QML application startup time is above requirements
 
 -- Dmitry Rozenshtein <ext-dmitry.2.rozenshtein@nokia.com>  Wed, 02 Oct 2011 14:04:32 +0300

applauncherd (2.0.5) stable; urgency=low

  * Changes: Implementation of re-exec functionality, trigger is disabled
  * Fixes: NB#269265 - COREWEB: __assert_fail append_pending_request _XReply
  * Changes: added CPU usage logging to performance tests

 -- Marek Ruszczak <ext-Marek.Ruszczak@nokia.com>  Fri, 14 Oct 2011 12:44:44 +0300

applauncherd (2.0.4) stable; urgency=low

  * Fixes: NB#284949 - m & d app boosters are leaking FDs 
  * Changes: Insignificant returned false in qml perf tests

 -- Olli Leppanen <olli.leppanen@nokia.com>  Mon, 3 Oct 2011 11:18:27 +0300

applauncherd (2.0.3) stable; urgency=low

  * Fixes: NB#274400 - [TASK] Remove legacy code from applauncherd

 -- Marek Ruszczak <ext-marek.ruszczak@nokia.com>  Tue, 27 Sep 2011 15:48:27 +0300

applauncherd (2.0.2) stable; urgency=low

  * Fixes: NB#274400 - [TASK] Remove legacy code from applauncherd

 -- Marek Ruszczak <ext-marek.ruszczak@nokia.com>  Mon, 26 Sep 2011 13:59:20 +0300

applauncherd (2.0.1) stable; urgency=low

  * Changes: Fix performance tests
  * Changes: Fix dependency for testscripts
  * Changes: Add tests for detecting unexpected GL context in boosters

 -- Marek Ruszczak <ext-marek.ruszczak@nokia.com>  Thu, 26 Sep 2011 13:30:00 +0300

applauncherd (2.0.0) stable; urgency=low

  * Fixes: NB#274302 - don't unload the main binary
  * Fixes: NB#275522 - Booster::requestSplash() segfault
  * Fixes: NB#274400 - [TASK] Remove legacy code from applauncherd


=== debian/control ===
Source: applauncherd
Section: admin
Priority: important
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Alexey Shilov <alexey.shilov@nokia.com>
Build-Depends: cmake (>= 2.6.0), debhelper7, libqt4-dev (>= 4.5.0), libmeegotouch-dev [armel], libcreds2-dev [arm armel], aegis-builder (>= 1.4) [arm armel], libaegis-crypto-dev [arm armel], libxtst-dev, libxext-dev, libxi-dev, doxygen, python2.5, libxcomposite-dev, libqt4-dev, libc6, libiphb0, libxrandr-dev, maemo-optify
Standards-Version: 3.8.0

Package: applauncherd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-invoker (= ${binary:Version})
Description: Meta package for applauncherd and invoker
 Launcher daemon and invoker to speed up launches. 
 Special boosters for MeeGo Touch and Qt.

Package: applauncherd-dbg
Architecture: armel
Section: debug
Priority: extra
Depends: applauncherd (= ${binary:Version}), applauncherd-invoker-dbg, applauncherd-launcher-dbg, ${misc:Depends}
Description: Meta package for applauncherd and invoker debug symbols

Package: applauncherd-invoker
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-launcher (= ${binary:Version}), libcreds2 [arm armel]
Description: Invoker part of applauncherd
 Invoker part of applauncherd.

Package: applauncherd-invoker-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: applauncherd-invoker (= ${binary:Version}), ${misc:Depends}
Description: Invoker debug package
 Debug symbols for invoker
 
Package: applauncherd-launcher
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libcreds2 [arm armel], applauncherd-single-instance, libcontactswidgets0, libiphb0, libsignon-qt0, libxrandr2, libresource0, libsaveas, sensord, libxcomposite1, libqt4-declarative, libmeegocontrol0, libdatepicker2, libc6, libduicontrolpanel, libsignon-ui0, liblocationextras, libmessagingif0, liblocationpicker
Description: Launcher part of applauncherd
 Launcher part of applauncherd.

Package: applauncherd-launcher-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: applauncherd-launcher (= ${binary:Version}), ${misc:Depends}
Description: Launcher debug package
 Debug symbols for launcher

Package: applauncherd-dev
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd
Description: Development files for applications using applauncherd
 Development files for applications using applauncherd.
 
Package: applauncherd-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libmeegotouchcore0, libmeegotouchviews0, libmeegotouchextensions0, libmeegotouchsettings0, testrunner-lite, applauncherd, ci-testing, libcreds[arm armel]
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd unit tests
 Unit testing binaries and shellscripts for testing applauncherd. 

Package: applauncherd-testscripts
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, testrunner-lite, applauncherd, ci-testing, testability-driver, libcreds2 [arm armel], libcreds2-tools [arm armel], meego-env, mcetools (>= 1.10.40), rdoc, python2.5, ruby, xresponse, x11-utils, python-pyside.qtcore, python-pyside.qtdeclarative, python-pyside.qtgui, sysstat
Description: applauncherd testscripts
 Testscripts for testing applauncherd

Package: applauncherd-testapps
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd, libmeegotouchcore0, libmeegotouchviews0, libmeegotouchextensions0, libmeegotouchsettings0, libcreds2 [arm armel], libcreds2-tools [arm armel] 
Description: applaunched testapps 
 Test applications for testing  applauncherd.

Package: applauncherd-testapps-dbg
Section: debug
Architecture: armel
Priority: extra
Depends: applauncherd-testapps (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for applauncherd testapps 

Package: applauncherd-functional-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd functional tests
 Functional tests for testing applauncherd.

Package: applauncherd-invoker-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd functional tests for invoker
 Functional tests for testing applauncherd.

Package: applauncherd-daemon-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd functional tests for daemon
 Functional tests for testing applauncherd.

Package: applauncherd-art-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd-launcher, applauncherd-invoker, mcompositor, meegotouchhome-nokia, libqtcore4, libqtgui4, libqt4-opengl, libqt4-dbus
XB-Maemo-CI-Stage: acceptance, validation
Description: applauncherd art tests
 Art tests for testing applauncherd.

Package: applauncherd-apps-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: facebookqml
XB-Maemo-CI-Stage: acceptance, validation
Description: applauncherd tests for applications dependent on applauncherd

Package: applauncherd-red-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: Tests related to bugs and new features for applauncherd 

Package: applauncherd-libmeegotouch-perf-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast
Description: applauncherd performance tests for libmeegotouch applications

Package: applauncherd-qml-perf-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast
Description: applauncherd performance tests for qml applications

Package: applauncherd-reference-perf-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast
Description: applauncherd performance tests for libmeegotouch applications without launcher

Package: applauncherd-doc
Depends: ${misc:Depends}
Section: doc
Architecture: armel
Description: Instructions for application developers

Package: applauncherd-single-instance
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Single instance binary for applauncherd
 Brings the already existing application window to foreground or
 executes new instance if not already running.
 Allows command line parameter --single-instance for invoker.

Package: applauncherd-single-instance-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: applauncherd-single-instance (= ${binary:Version}), ${misc:Depends}
Description: applauncherd single-instance debug package
 Debug symbols for single-instance binary
